.touchable-highlight .touchable-highlight-underlay {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 128);
}

.touchable-highlight:active .touchable-highlight-underlay {
  display: block;
}

.touchable-highlight {
  cursor: pointer;
  pointer-events: auto;
  user-select: none;
}
.touchable-without-feedback {
  pointer-events: auto;
}

.base-component {
  position: relative;
  display: flex;
  border-style: solid;
}
.base-component-link {
  position: relative;
  display: flex;
  border-style: solid;
  text-decoration: none;
  user-select: none;
  pointer-events: auto;
}
.base-component-link .base-component-link-underlay {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 128);
  pointer-events: none;
}
.base-component-link:active .base-component-link-underlay {
  display: block;
}
.base-component-link:hover .base-component-link-underlay {
  display: block;
}
.base-component-text-input {
  background: transparent;
  user-select: text;
  pointer-events: auto;
}
.base-component-text-input:-webkit-autofill {
  -webkit-background-clip: text;
}
.base-component-checkbox-input {
  appearance: checkbox;
  pointer-events: auto;
}
.base-component-radio-input {
  appearance: radio;
  pointer-events: auto;
}
.base-component-text-input-form {
  display: flex;
  flex: 1;
  align-self: stretch;
  flex-direction: column;
}
.base-component-text-input-autogrow {
  flex: 1;
  display: grid;
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
  pointer-events: auto;
}
.base-component-text-input-autogrow-textarea {
  background: transparent;
  user-select: text;
  font-family: inherit;
  color: inherit;
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
  resize: none;
  overflow: hidden;
  grid-row-start: 1;
  grid-column-start: 1;
  grid-row-end: 2;
  grid-column-end: 2;
}
.base-component-text-input-autogrow-after {
  white-space: pre-wrap;
  visibility: hidden !important;
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
  grid-row-start: 1;
  grid-column-start: 1;
  grid-row-end: 2;
  grid-column-end: 2;
}
.base-component-file-input {
  display: none;
}

.fullscreen-video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-height: 100%;
  min-width: 100%;
  width: auto;
  height: auto;
  max-height: 101vh;
  max-width: 200vh;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  background: transparent;
}

.move-progress circle {
  transition: stroke-dashoffset 0.5s linear 0s;
}

.preformated-content {
  width: 100%;
  white-space: pre-line;
}

.video-overlay {
  transition: opacity 0.5s linear 0s;
  opacity: 1;
}
.video-overlay.faded {
  opacity: 0;
}
.progress-spinner {
  display: inline-block;
  font-size: 3rem;
  border: 0.3em solid white;
  border-top-color: transparent !important;
  border-bottom-color: transparent !important;
  border-radius: 50%;
  width: 2em;
  height: 2em;
  animation: animation-progress-spinner 0.5s linear infinite;
  margin: 0 auto;
  box-sizing: border-box;
}
/*
.progress-spinner:after {
  content: " ";
  display: block;
  width: 75%;
  height: 75%;
  border-radius: 50%;
  border-width: 1px;
  border-style: solid;
  border-left-color: transparent;
  border-right-color: transparent;
  border-top-color: inherit;
  border-bottom-color: inherit;
  animation: animation-progress-spinner 1.2s linear infinite;
}
*/
@keyframes animation-progress-spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.progess-spinner-svg {
  transform-origin: center;
  animation: animation-progess-spinner-svg 0.75s infinite linear;
}
@keyframes animation-progess-spinner-svg {
  100% {
    transform: rotate(360deg);
  }
}
:root {
  --icon-white: invert(100%) sepia(100%) saturate(0%) hue-rotate(207deg)
    brightness(105%) contrast(102%);
  --icon-grey: invert(35%) sepia(7%) saturate(679%) hue-rotate(174deg)
    brightness(99%) contrast(96%);
  --icon-dark-grey: invert(32%) sepia(0%) saturate(1211%) hue-rotate(135deg)
    brightness(98%) contrast(88%);
  --icon-header-grey: invert(100%) sepia(26%) saturate(84%) hue-rotate(180deg)
    brightness(112%) contrast(89%);
  --icon-login-dialog: invert(41%) sepia(0%) saturate(965%) hue-rotate(188deg)
    brightness(102%) contrast(84%);
  --error-text-color: #fa0240;
  --link-text-color: #1a7cdf;
  --box-border-color: #e9eaeb;
  --box-inner-line-color: #ddd;
  --box-header-bg-color: #fafafa;
  --box-title-text-color: #181d27;
  --input-bg-color: #f5f5f5;
  --input-border-color: #ccc;
  --input-disabled-bg-color: #eee;
  --input-disabled-border-color: #ccc;
  --input-text-color: #555;
  --input-disabled-color: #999;
  --prop-list-value-color: #333;
  --prop-list-label-color: #545b64;
  --prop-list-detail-color: #677078;
  --prop-list-border-color: #eee;
  --sidebar-bg-color: #f0f0f0;
  --sidebar-border-color: #d5d7da;
  --sidebar-text-color: #414651;
  --sidebar-username-color: #181d27;
  --sidebar-email-color: #535862;
  --sidebar-account-border: #ccc;
  --topbar-bg-color: #f0f0f0;
  --topbar-border-color: #d5d7da;
  --sidebar-scroll-color: #ccc;
  --org-select-text: #181d27;
  --org-select-bg: white;
  --org-select-border: #ccc;
  --tabbar-text: #575757;
  --tabbar-selected-text: #676767;
  --tabbar-line-color: #e5e5e5;
  --tabbar-selected-bg: #0023ff;
  --standard-screen-bg: white;
  --standard-text: #181d27;
  --login-bg-color: white;
  --login-title-text: #181d27;
  --login-subtitle-text: #535862;
  --login-text: #535862;
  --login-input-border: #d5d7da;
  --login-input-bg: white;
  --login-input-text: #717680;
  --login-circle-color: invert(100%) sepia(1%) saturate(2636%)
    hue-rotate(277deg) brightness(118%) contrast(87%);
  --login-left-text: #535862;
  --login-left-color: invert(3%) sepia(4%) saturate(5181%) hue-rotate(242deg)
    brightness(89%) contrast(97%);
  --button-bg: white;
  --button-text: #262626;
  --button-default-bg: white;
  --button-default-border: #999;
  --button-default-text: #414651;
  --button-disabled-bg: white;
  --button-disabled-border: #bfbfbf;
  --button-disabled-text: #bfbfbf;
  --button-danger-bg: #fef3f2;
  --button-danger-border: #fda29b;
  --button-danger-text: #912018;
  --button-ghost-bg: transparent;
  --button-ghost-border: #262626;
  --button-ghost-text: #262626;
  --button-ghost-inverted-bg: transparent;
  --button-ghost-inverted-border: white;
  --button-ghost-inverted-text: white;
  --button-inverted-bg: black;
  --button-inverted-border: transparent;
  --button-inverted-text: white;
  --button-empty-bg: transparent;
  --button-empty-border: black;
  --button-empty-text: black;
  --button-blue-bg: #0023ff;
  --button-blue-border: #0023ff;
  --button-blue-text: white;
}
